Bug 173393

Summary: x11-wm/xfce4 window manager broken
Product: Ports & Packages Reporter: Tomasz "CeDeROM" CEDRO <tomek>
Component: Individual Port(s)Assignee: freebsd-xfce (Nobody) <xfce>
Status: Closed FIXED    
Severity: Affects Only Me CC: cs
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description Tomasz "CeDeROM" CEDRO 2012-11-05 16:40:01 UTC
recent xfce4 window manager is broken. tried on 9.0-p3 and 9.1-RC3. reinstalling xorg and xfce4 (and -R dependencies) did not help...

Fix: 

please fix the xfce4-wm as xfce4 becomes unusable! this is critical!
maybe xfce4-wm depends on some other ports that are not listed?
Comment 1 Olivier Duchateau 2012-11-05 22:45:19 UTC
Could you give more information (log, ...)

I launched compilation of x11-wm/xfce4-wm on FreeBSD 9.0 and CURRENT (not finished yet) and every thing works fine.

Build logs: http://redports.org/buildarchive/20121105180941-25194/

-- 
olivier
Comment 2 Tomasz "CeDeROM" CEDRO 2012-11-06 09:53:07 UTC
On Mon, Nov 5, 2012 at 11:45 PM, Olivier Duchateau
<duchateau.olivier@gmail.com> wrote:
> Could you give more information (log, ...)
> I launched compilation of x11-wm/xfce4-wm on FreeBSD 9.0 and CURRENT (not finished yet) and every thing works fine.
> Build logs: http://redports.org/buildarchive/20121105180941-25194/

Hello Olivier! Thank you for checking! It builds fine but it does not
work properly. For me the problem showed after rebuild of current
Chromium port... I got some errors on nautilus and libxcb-aux missing
and there is no possibility to get the current desktop number/count.
the same is for fresh install on 9.1-RC3 AMD64. I have removed the
configuration as well and still there is no window manager... :-\

Best regards,
Tomek

-- 
CeDeROM, SQ7MHZ, http://www.tomek.cedro.info
Comment 3 Tomasz "CeDeROM" CEDRO 2012-11-07 12:40:25 UTC
I have reinstalled FreeBSD 9.1-RC3 with the xfce4 binary packages (not
the ports sources) and the situation is the same.

I have removed all config from ~/.config that had to do with xfce4 and
still the problem persists. I have even renamed the ~/.config to have
situation clear about the possible configuration issues. I have used
default xfce4 configuration. The problem still persist.

How can I redirect diagnostic information to a file that I could
attach here? Where are the terminal messages are going to? Here are
some of them:

nautilus:3908 coud not load SM state file

nautilus:3908: failed to get current CK session:
GDBUS.Error:org.freedesktop.ConsoleKit.Manager.GeneralError: unable to
lookup session information for process 3908

xfdesktop:3905: GLib-GIO-CRITICAL: g_file_get_path: assertion
"G_IS_FILE (file)' failed <-this shows 4 times in line

nautilus:3908: WARNING can not calculate _NET_NUMBER_OF_DESKTOPS

nautilus:3908: WARNING can not calculate _NET_NUMBER_OF_DESKTOPS

nautilus:3908: WARNING can not get _NET_WORKAREA

nautilus:3908: WARNIING: can not determine workarea, guessing at
layout xfdesktop: Fatal IO error 35 (Rsouece temporairly unavailable)
on X server :0.0.

xfdesktop:3905: GLib-GIO-CRITICAL: g_file_get_path: assertion
"G_IS_FILE (file)' failed <-this shows 4 times in line

xfsettingsd: No window manager registered on screen 0.

(...)

So there are two issues:
1. Not possible to get virtual desktops number, and virtual desktops
does not work.
2. Not possible to start Window Manager, which is NAUTILUS, not
xfce4-wm, which does not work.
3. There is a problem with SessionManager reported by nautilus/GDBus

Some (hidden?) dependencies seems to fail... so simple reinstall of
xfce4 and its components does not reveal the problem.

-- 
CeDeROM, SQ7MHZ, http://www.tomek.cedro.info
Comment 4 Tilman Keskinoz freebsd_committer 2012-11-21 17:11:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->xfce

over to maintainer
Comment 5 Tomasz "CeDeROM" CEDRO 2012-12-06 17:16:09 UTC
It seems that one of the crashes broke my (ext2) filesystem and caused
corruption beyond e2fsck skills, on a brand new /home and on another
machine (9.1-RC3) Xfce4 works fine, so it was definitely a
configuration problem, not the xfce4 itself...

Sorry for false alert and thank you for your patience and support
Niclas! Yea, I got my Xfce4 again!!! :-)

I have noted some major issues with ext2 and already reported them.
Now definitely switching from Ext2 to UFS2 on storage paritions...

Best regards :-)
Tomek

-- 
CeDeROM, SQ7MHZ, http://www.tomek.cedro.info
Comment 6 Niclas Zeising freebsd_committer 2012-12-06 19:07:07 UTC
On 12/06/12 18:16, CeDeROM wrote:
> It seems that one of the crashes broke my (ext2) filesystem and caused
> corruption beyond e2fsck skills, on a brand new /home and on another
> machine (9.1-RC3) Xfce4 works fine, so it was definitely a
> configuration problem, not the xfce4 itself...
> 
> Sorry for false alert and thank you for your patience and support
> Niclas! Yea, I got my Xfce4 again!!! :-)

No worries.
I take it I can close the PR, any objections?
Regards!
-- 
Niclas Zeising
Comment 7 Tomasz "CeDeROM" CEDRO 2012-12-06 20:30:59 UTC
Yes please close the PR :-)  However susceptibility to malformed
configuration still can cause problems in future, but this is the
project issue, not the port nor operating system, I will report it to
the xfce4 developers. Thanks! :-)

-- 
CeDeROM, SQ7MHZ, http://www.tomek.cedro.info
Comment 8 Mark Linimon freebsd_committer freebsd_triage 2013-01-20 01:36:08 UTC
Responsible Changed
From-To: xfce->freebsd-xfce

Fix synopsis and assign.
Comment 9 dfilter service freebsd_committer 2013-06-10 01:57:28 UTC
Author: bdrewery
Date: Mon Jun 10 00:57:13 2013
New Revision: 320423
URL: http://svnweb.freebsd.org/changeset/ports/320423

Log:
  - Update to 1.0.1 [1]
  - Updates to 0.12.4, 0.12.5 and 1.0.0 were submitted but
    superceded by 1.0.1 [2][3][4]
  
  PR:		ports/177382 [1]
  Submitted by:	William Grzybowski <william88@gmail.com> [1]
  Approved by:	maintainer timeout (8 months)
  PR:		ports/173119 [2]
  Submitted by:	Gea-Suan Lin <gslin@gslin.org> [2]
  PR:		ports/175697 [3]
  Submitted by:	Dmitry <dmitry2006@yandex.ru> [3]
  PR:		ports/173393 [4]
  Submitted by:	Rustem Alimov <rustem.alimov@gmail.com> [4]

Deleted:
  head/www/trac/files/patch-trac__util__daemon.py
Modified:
  head/www/trac/Makefile
  head/www/trac/distinfo
  head/www/trac/pkg-message
  head/www/trac/pkg-plist

Modified: head/www/trac/Makefile
==============================================================================
--- head/www/trac/Makefile	Mon Jun 10 00:48:32 2013	(r320422)
+++ head/www/trac/Makefile	Mon Jun 10 00:57:13 2013	(r320423)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	trac
-PORTVERSION=	0.12.3
+PORTVERSION=	1.0.1
 CATEGORIES=	www devel python
 MASTER_SITES=	http://ftp.edgewall.com/pub/trac/ \
 		ftp://ftp.edgewall.com/pub/trac/
@@ -11,10 +11,9 @@ DISTNAME=	Trac-${PORTVERSION}
 MAINTAINER=	clsung@FreeBSD.org
 COMMENT=	An enhanced wiki and issue tracking system for software projects
 
-BUILD_DEPENDS=	${PYTHON_PKGNAMEPREFIX}Genshi>=0.5:${PORTSDIR}/textproc/py-genshi \
-		${PYTHON_PKGNAMEPREFIX}Babel>=0.9:${PORTSDIR}/devel/py-babel
-RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}Genshi>=0.5:${PORTSDIR}/textproc/py-genshi \
-		${PYTHON_PKGNAMEPREFIX}Babel>=0.9:${PORTSDIR}/devel/py-babel
+BUILD_DEPENDS=	${PYTHON_PKGNAMEPREFIX}Genshi>=0.6:${PORTSDIR}/textproc/py-genshi \
+		${PYTHON_PKGNAMEPREFIX}Babel>=0.9.5:${PORTSDIR}/devel/py-babel
+RUN_DEPENDS:=	${BUILD_DEPENDS}
 
 OPTIONS_DEFINE=		SILVERCITY DOCUTILS PYGMENTS TZ PGSQL SVN
 OPTIONS_DEFAULT=	SILVERCITY DOCUTILS PYGMENTS TZ SVN
@@ -25,7 +24,7 @@ TZ_DESC=		Process Time Zones
 
 CONFLICTS=	ja-trac-[0-9]*
 
-USE_PYTHON=	2.5+
+USE_PYTHON=	2.7-
 USE_PYDISTUTILS=	easy_install
 PYDISTUTILS_PKGNAME=	Trac
 PYDISTUTILS_NOEGGINFO=	yes
@@ -74,19 +73,22 @@ x-generate-plist:
 		' | ${TR} -s '\n') > temp-pkg-plist
 
 pre-install:
-	@${REINPLACE_CMD} -i '' -e 's|/usr/bin/python|${PYTHON_CMD}|' ${WRKSRC}/cgi-bin/trac.fcgi \
-	    ${WRKSRC}/cgi-bin/trac.cgi
+	@${REINPLACE_CMD} -i '' -e 's|/usr/bin/python|${PYTHON_CMD}|' ${WRKSRC}/contrib/cgi-bin/trac.fcgi \
+	    ${WRKSRC}/contrib/cgi-bin/trac.cgi
 
 post-install:
-	@${MKDIR} ${EXAMPLESDIR}
-. for d in rpm workflow
-	@${MKDIR} ${EXAMPLESDIR}/${d}
-	@${INSTALL_DATA} ${WRKSRC}/contrib/${d}/* ${EXAMPLESDIR}/${d}/
+	@${MKDIR} ${EXAMPLESDIR}/sample-plugins
+	@${MKDIR} ${EXAMPLESDIR}/rpm
+	@${INSTALL_DATA} ${WRKSRC}/contrib/rpm/* ${EXAMPLESDIR}/rpm
+	@${FIND} ${WRKSRC}/contrib -type f -maxdepth 1 -exec ${INSTALL_DATA} {} ${EXAMPLESDIR}/ \;
+. for d in permissions workflow
+	@${MKDIR} ${EXAMPLESDIR}/sample-plugins/${d}
+	@${INSTALL_DATA} ${WRKSRC}/sample-plugins/${d}/* ${EXAMPLESDIR}/sample-plugins/${d}/
 	@${RM} -rf ${WRKSRC}/contrib/${d}
 . endfor
-	@${INSTALL_DATA} ${WRKSRC}/contrib/* ${EXAMPLESDIR}
+	@${INSTALL_DATA} ${WRKSRC}/sample-plugins/*.py ${EXAMPLESDIR}/sample-plugins/
 	@${MKDIR} ${DATADIR}/cgi-bin
-	@${INSTALL_SCRIPT} ${WRKSRC}/cgi-bin/* ${DATADIR}/cgi-bin
+	@${INSTALL_SCRIPT} ${WRKSRC}/contrib/cgi-bin/* ${DATADIR}/cgi-bin
 	@${ECHO_CMD}
 	@${CAT} ${PKGMESSAGE}
 	@${ECHO_CMD}

Modified: head/www/trac/distinfo
==============================================================================
--- head/www/trac/distinfo	Mon Jun 10 00:48:32 2013	(r320422)
+++ head/www/trac/distinfo	Mon Jun 10 00:57:13 2013	(r320423)
@@ -1,2 +1,2 @@
-SHA256 (Trac-0.12.3.tar.gz) = 0eefacc5ebb91158ed7351b8f9b2eec7f45ce03b692bdc72a3c8061951174506
-SIZE (Trac-0.12.3.tar.gz) = 2239934
+SHA256 (Trac-1.0.1.tar.gz) = 9dd49065696a8d4dfcb1a1af81e51d6bd487f5a1e72b3325c1fe4ecb5c490adb
+SIZE (Trac-1.0.1.tar.gz) = 3479896

Modified: head/www/trac/pkg-message
==============================================================================
--- head/www/trac/pkg-message	Mon Jun 10 00:48:32 2013	(r320422)
+++ head/www/trac/pkg-message	Mon Jun 10 00:57:13 2013	(r320423)
@@ -1,12 +1,12 @@
 *******************************************************************************
 
-From 0.11.x to 0.12.x
+From 0.12.x to 1.0.x
 ---------------------
 You should be careful to check that the plugins you depend on have
-been ported to 0.12, as they most probably won't work without adaptation
-due to the numerous internal changes that occurred during 0.12 development.
+been ported to 1.0.1, as they most probably won't work without adaptation
+due to the numerous internal changes that occurred during 1.0.1 development.
 
-See:	http://trac.edgewall.org/wiki/TracDev/ApiChanges/0.12
+See:	http://trac.edgewall.org/wiki/TracDev/ApiChanges/1.0
 
 Consult the upgrade instructions at:
 

Modified: head/www/trac/pkg-plist
==============================================================================
--- head/www/trac/pkg-plist	Mon Jun 10 00:48:32 2013	(r320422)
+++ head/www/trac/pkg-plist	Mon Jun 10 00:57:13 2013	(r320423)
@@ -1,31 +1,41 @@
-bin/trac-admin
-bin/tracd
 %%DATADIR%%/cgi-bin/trac.cgi
 %%DATADIR%%/cgi-bin/trac.fcgi
-@dirrm %%DATADIR%%/cgi-bin
-@dirrm %%DATADIR%%
-%%EXAMPLESDIR%%/rpm/installscript
-%%EXAMPLESDIR%%/rpm/makerpm
-%%EXAMPLESDIR%%/workflow/README
-%%EXAMPLESDIR%%/workflow/enterprise-workflow.ini
-%%EXAMPLESDIR%%/workflow/migrate_original_to_basic.py
-%%EXAMPLESDIR%%/workflow/opensource-workflow.ini
-%%EXAMPLESDIR%%/workflow/showworkflow
-%%EXAMPLESDIR%%/workflow/simple-workflow.ini
-%%EXAMPLESDIR%%/workflow/trivial-workflow.ini
-%%EXAMPLESDIR%%/workflow/workflow_parser.py
 %%EXAMPLESDIR%%/README
 %%EXAMPLESDIR%%/bugzilla2trac.py
 %%EXAMPLESDIR%%/checkwiki.py
 %%EXAMPLESDIR%%/emailfilter.py
 %%EXAMPLESDIR%%/htdigest.py
 %%EXAMPLESDIR%%/htpasswd.py
+%%EXAMPLESDIR%%/l10n_diff_index.py
+%%EXAMPLESDIR%%/l10n_reset_en_GB.py
+%%EXAMPLESDIR%%/l10n_revert_lineno_conflicts.py
 %%EXAMPLESDIR%%/migrateticketmodel.py
+%%EXAMPLESDIR%%/rpm/installscript
+%%EXAMPLESDIR%%/rpm/makerpm
+%%EXAMPLESDIR%%/sample-plugins/HelloWorld.py
+%%EXAMPLESDIR%%/sample-plugins/Timestamp.py
+%%EXAMPLESDIR%%/sample-plugins/milestone_to_version.py
+%%EXAMPLESDIR%%/sample-plugins/permissions/debug_perm.py
+%%EXAMPLESDIR%%/sample-plugins/permissions/public_wiki_policy.py
+%%EXAMPLESDIR%%/sample-plugins/permissions/vulnerability_tickets.py
+%%EXAMPLESDIR%%/sample-plugins/revision_links.py
+%%EXAMPLESDIR%%/sample-plugins/workflow/CodeReview.py
+%%EXAMPLESDIR%%/sample-plugins/workflow/DeleteTicket.py
+%%EXAMPLESDIR%%/sample-plugins/workflow/MilestoneOperation.py
+%%EXAMPLESDIR%%/sample-plugins/workflow/StatusFixer.py
+%%EXAMPLESDIR%%/sample-plugins/workflow/VoteOperation.py
+%%EXAMPLESDIR%%/sample-plugins/workflow/enterprise-review-workflow.ini
 %%EXAMPLESDIR%%/sourceforge2trac.py
 %%EXAMPLESDIR%%/trac-pre-commit-hook
 %%EXAMPLESDIR%%/trac-svn-hook
 %%EXAMPLESDIR%%/trac-svn-post-commit-hook.cmd
-@dirrm %%EXAMPLESDIR%%/workflow
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
+bin/trac-admin
+bin/tracd
+@dirrm %%DATADIR%%/cgi-bin
+@dirrm %%DATADIR%%
+@dirrm %%EXAMPLESDIR%%/sample-plugins/workflow
+@dirrm %%EXAMPLESDIR%%/sample-plugins/permissions
+@dirrm %%EXAMPLESDIR%%/sample-plugins
 @dirrm %%EXAMPLESDIR%%/rpm
 @dirrm %%EXAMPLESDIR%%
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"